﻿using System.Collections.Generic;
using JetBrains.Annotations;

namespace Magify
{
    public class CampaignImpression
    {
        public string CampaignName { get; set; }
        public bool IsDefaultConfig { get; set; }
        public int ImpressionNumber { get; set; }
        public int SessionImpressionNumber { get; set; }
        public int CampaignTypeImpressionNumber { get; set; }
        public int CampaignTypeSessionImpressionNumber { get; set; }

        public string EventName { get; set; }
        public int EventNumber { get; set; }
        public int SessionEventNumber { get; set; }
        public int SessionNumber { get; set; }

        [CanBeNull]
        public string ProductId { get; set; }
        [CanBeNull]
        public string ProductIdCreative { get; set; }

        [CanBeNull]
        public Dictionary<string, object> Parameters { get; set; }
    }
}